Subject: Re: bug#46240: Sorting order of read-char-by-name

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 02 Feb 2021 09:40:31 +0100

Eli Zaretskii <[email-masked]> writes:

> The current order, while it doesn't follow the order of the characters
> within the script, makes it very easy to find the character for anyone
> who knows English (more generally, Latin) alphabet.  So I'm not sure
> the proposed change is necessarily for the better, at least not in all
> the use cases.

I agree -- sorting by the Unicode character names is better here, I
think.

The command is for inserting characters you don't use constantly
(because if you did, you'd use a different input method that made those
characters more readily available), which means that you probably aren't
super-familiar with them.  So you'd be looking at the (English)
descriptions of the characters to find the one you want.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no